# Generated from haora-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name haora

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Work Hour Diary
License: MIT
URL: http://github.com/drademann/haora-cli
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.3
# BuildRequires: rubygem(minitest) >= 5
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-reporters) >= 1
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(aruba) >= 0.14
# BuildRequires: rubygem(aruba) < 1
BuildArch: noarch

%description
Command line application to keep track of daily work hours.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/haora
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.1-1
- Initial package
